import { ExtractPropTypes } from 'vue';
export declare const inputProps: {
    /**
     * 默认值
     */
    defaultValue: (StringConstructor | NumberConstructor)[];
    /**
     * 只读，和readonly类似，通常用于打印
     */
    onlyDisplay: BooleanConstructor;
    /**
     * 是否显示边框
     */
    border: {
        type: PropType<"none" | "bottom" | "all">;
        validator: (val: string) => boolean;
        default: string;
    };
    /**
     * 输入框的宽度
     */
    width: {
        type: (StringConstructor | NumberConstructor)[];
        default: string;
    };
    /**
     * 显示复制按钮，支持自定义图标
     */
    copy: {
        type: PropType<any>;
        default: boolean;
    };
};
export type InputProps = Partial<ExtractPropTypes<typeof inputProps>>;
